#### dynamic_string_buffer::data

Get a list of buffers that represents the input sequence.

    const_buffers_type data() const;

###### Return Value

An object of type `const_buffers_type` that satisfies ConstBufferSequence requirements, representing the basic_string memory in input sequence.

###### Remarks

The returned object is invalidated by any `dynamic_string_buffer` or `basic_string` member function that modifies the input sequence or output sequence.